#ifndef MEDIASLIDER_H
#define MEDIASLIDER_H

#include <QSlider>
#include <time.h>

class MediaSlider : public QSlider {
    Q_OBJECT
public:
    explicit MediaSlider(QWidget *parent = nullptr);
    void changeValue(int n);
signals:
    /** 点击事件 */
    void clicked(MediaSlider *slider);
    void preview(int seektime, int x);
    void mouseleave();


private:
    void mouseReleaseEvent(QMouseEvent *event) override;
    void mouseMoveEvent(QMouseEvent *event) override;
    void leaveEvent(QEvent *event) override;

    clock_t start;
    int x;
};

#endif // MEDIASLIDER_H
