QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += console c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    PlayThread.cpp \
    SDL2Player.cpp \
    ZFFmpeg.cpp \
    stb_impl.cpp \
    main.cpp
HEADERS += \
    PlayThread.h \
    SDL2Player.h \
    ZFFmpeg.h


# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target


INCLUDEPATH += $$PWD/3rdparty/stb

INCLUDEPATH += D:/Dev/msys64/usr/local/ffmpeg_5_1/include
LIBS += -LD:/Dev/msys64/usr/local/ffmpeg_5_1/lib -lavcodec.dll -lavdevice.dll -lavfilter.dll -lavformat.dll -lavutil.dll -lpostproc.dll -lswresample.dll -lswscale.dll

INCLUDEPATH += D:/Dev/msys64/mingw64/include
LIBS += -LD:/Dev/msys64/mingw64/lib -lmingw32 -lSDL2main -lSDL2 -lglu32 -lopengl32 -lsetupapi -lhid -lz

RESOURCES += \
    res.qrc
