#ifndef MEDIAAVDECODER_H
#define MEDIAAVDECODER_H

#include "MediaAVStream.h"
#include "MediaAVPacket.h"
#include "MediaAVFrame.h"
extern "C"
{
#include <libavformat/avformat.h>
#include <libavcodec/avcodec.h>
#include <libavutil/opt.h>
}

#include <QDebug>
class MediaAVDecoder{
    public:
    MediaAVDecoder();
    ~MediaAVDecoder();
    bool init(AVFormatContext* m_avformat_ctx, enum AVMediaType type);    
    int send_avpacket(MediaAVPacket* pkt);
    int receive_avframe(MediaAVFrame* frame);
public:
    AVCodecContext* m_avcodec_context=nullptr;
    AVStream*       m_avstream=nullptr;
    AVCodec*        m_avcodec=nullptr;
};
#endif