#include <stdio.h>
#include "MediaAVPacket.h"

MediaAVPacket::MediaAVPacket()
{
    m_pakcet = (AVPacket*)av_malloc(sizeof(AVPacket));
    if (m_pakcet == nullptr)
    {
        printf("av_packet_alloc error\n");
    }
}

MediaAVPacket::~MediaAVPacket()
{
    if (!m_pakcet)
    {
        return;
    }
    av_packet_unref(m_pakcet);
    av_freep(m_pakcet);
    av_packet_free(&m_pakcet);
    // printf("av_packet_free\n");
}