#ifndef STB_MEDIA_H
#define STB_MEDIA_H

#include "SDL2/SDL.h"
extern "C"{
#include "stb_image.h"
}

#include "stb_font.h"
#include <iostream>
#include <fstream>
#include <QDir>
class Stb_Media{
    public:
    Stb_Media();
    ~Stb_Media();
    SDL_Surface* default_logo_surface(std::string image);
    void readFileRaw (const std::string & fullPath, std::string & output);
    void readFileRaw_toMemory (const std::string & fullPath, sttfont_memory & mem);
    void setFontArgs(SDL_Renderer* sdl_rander,int f_size,int w_size);
    void setFontSize(int f_seize);
    void setFontWidthInSpaces(int f_size);
    sdl_stb_font_cache fc;
};
#endif